> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Account Documents

> Fetch the documents uploaded for an Account using Razorpay APIs.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
  <span>🇸🇬 Singapore</span>
  <span>🇺🇸 United States</span>
</div>

Use this endpoint to fetch the documents uploaded for an account. Know about the [various error responses](/docs/api/partners/errors) for this API.

<RequestExample>
  ```bash Curl theme={null}
  curl -X GET https://api.razorpay.com/v2/accounts/acc_GP4lfNA0iIMn5B/documents \
  -u <ACCESS_TOKEN> \
  ```

  ```java Java theme={null}
  RazorpayClient razorpay = new RazorpayClient("[ACCESS_TOKEN]");

  String accountId = "acc_LryDIBIjBDbOWy";

  Account account = instance.account.fetchAccountDoc(accountId);
  ```

  ```php PHP theme={null}
  $api = new Api(null, null, "<ACCESS_TOKEN>");

  $accountId = "acc_M83Uw27KXuC7c8";
  $api->account->fetch($accoundId)->fetchAccountDoc();
  ```

  ```javascript Node.js theme={null}
  const instance = new Razorpay({
    oauthToken: "<ACCESS_TOKEN>",

  const accountId = "acc_GP4lfNA0iIMn5B";
  instance.accounts.fetchAccountDoc(accountId);
  ```

  ```ruby Ruby theme={null}
  require "razorpay"
  Razorpay.setup('ACCESS_TOKEN')
  account_id = "acc_0000000000001"

  Razorpay::Account.fetch_account_doc(account_id)
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "business_proof_of_identification": [
      {
        "type": "shop_establishment_certificate",
        "document_id": "doc_GMh9oIJuoCcjdT"
      }
    ]
  }
  ```
</ResponseExample>

## Path Parameters

<ParamField path="account_id" type="string" required>
  The unique identifier of a sub-merchant account generated by Razorpay. For example, `acc_GP4lfNA0iIMn5B`.
</ParamField>

## Response Parameters

<ResponseField name="business_proof_of_identification" type="array">
  The business proof document. For more details, refer the [Appendix](/docs/partners/aggregators/onboarding-api/appendix).
</ResponseField>

<ResponseField name="type" type="string">
  The type of document uploaded. Check the list of [Document Types](/docs/partners/aggregators/onboarding-api/appendix#document-type).
</ResponseField>

<ResponseField name="document_id" type="string">
  The id generated once the business proof document is uploaded.
</ResponseField>
